Package com.sas.services

# Class InitializationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.sas.util.ChainedException
com.sas.services.ServiceException
com.sas.services.InitializationException

All Implemented Interfaces:
  `com.sas.util.ChainedExceptionInterface`, `Serializable`

public class InitializationException extends ServiceException
Initialization exception.

Since:
  1.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InitializationException()`
  Constructs a default instance without specifying a detail message.
  `InitializationException(String message)`
  Constructs an instance using the specified detail message, but not a throwable.
  `InitializationException(Throwable throwable, String message)`
  Constructs an instance using the specified detail message and the throwable.

- ## Method Summary

  ### Methods inherited from class com.sas.util.ChainedException

  `chainContains, getRootException, getRootException, getTargetException, getTargetException, printStackTrace, printStackTrace, printStackTrace, toString, toStringBuffer`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InitializationException

    public InitializationException()
    Constructs a default instance without specifying a detail message.

  - ### InitializationException

    public InitializationException(String message)
    Constructs an instance using the specified detail message, but not a throwable.
    Parameters:
      `message` - Message detailing the encountered exception.

  - ### InitializationException

    public InitializationException(Throwable throwable, String message)
    Constructs an instance using the specified detail message and the throwable.
    Parameters:
      `throwable` - Throwable that prompted this exception.
      `message` - Message detailing the encountered exception.